java抛出异常后 代码继续运行问题探究

原创 2018年04月16日 15:48:33

java抛出异常后 代码继续运行问题探究

1、

package com.baofoo.admin.test;

import lombok.extern.slf4j.Slf4j;
import org.junit.Test;

/**
 * Created by BF100 on 2018/4/12.
 */
@Slf4j
public class TestByCaoxNew {
    @Test
    public void test1(){
        try{
            int a = 1/0;
            System.out.println("我执行了没?");
        }catch (Exception e){
            log.error("call Exception :{}",e);
            e.printStackTrace();
        }
        System.out.println("come on !!!");
    }

    @Test
    public void test2(){
        try{
            if(true) {
                throw new Exception("我要抛出异常了!!!");
            }
            //抛出异常,不会执行
            System.out.println("我执行了没?");
        }catch (Exception e){
            log.error("call Exception :{}",e);
        }
        System.out.println("我执行了 !!!");
    }
}
2.test1运行结果:


3.test2运行结果:


版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/caox_nazi/article/details/79961588

组合语言之艺术6

 第五章 套装软件制作    程式写完后,还要加工成为可执行的套装软件(Package),一般说来,即使是可以执行的程式,一点错误都没有,离套装软件的程度,却还有一段距离。    当然,程式侦错也是必...
  • dot99
  • dot99
  • 2001-08-04 22:28:00
  • 806

自定义异常的用法,抛出异常后,代码仍然继续执行。

//自定义异常 public class NoThisSoundException extends Exception{ private String i; public NoThisS...
  • qq_18581651
  • qq_18581651
  • 2015-10-31 15:01:04
  • 2078

java抛出异常后代码继续执行的情况

java抛出异常后代码继续执行的情况java抛出异常后下面的代码是否还会执行?例如下面情况public void add(int index, E element){ if(size >= e...
  • anne_IT_blog
  • anne_IT_blog
  • 2017-08-08 18:17:42
  • 535

Java如何将处理完异常之后的程序能够从抛出异常的地点向下执行?

因为Java中的异常处理理论,支持的是终止模型,在这种模型中,抛出异常之后,程序无法返回到异常发生的地方向下继续执行。但是,如果我们现在想要Java实现类似恢复模型的行为,希望异常在处理之后继续往下进...
  • yangyong0717
  • yangyong0717
  • 2017-11-09 20:09:12
  • 420

Java异常处理中try{}catch抛出异常,后面代码还会继续执行么?

这张图片上面显示的代码运行之后将会输出什么?我们可以发现在procedure()函数结束之后函数后面的内容就不运行了,而主函数里面的程序还是会继续运行。反过来再测试如果先发生主函数里面的异常那么Pro...
  • qq_37788081
  • qq_37788081
  • 2017-10-05 17:40:50
  • 1603

java抛出异常后面的代码是否能执行?

今天在项目中遇到了一个问题,就是在java中抛出异常后,后面的代码是否能继续执? 然后就写了几个Test案例测试了一下: 1.Test1 Test1的结果: 由Test1的...
  • ysdsxry
  • ysdsxry
  • 2017-12-01 15:26:50
  • 285

java中异常抛出后代码还会继续执行吗?

今天遇到一个问题,在下面的代码中,当抛出运行时异常后,后面的代码还会执行吗,是否需要在异常后面加上return语句呢? public void add(int index, E element)...
  • tangxueguan1940
  • tangxueguan1940
  • 2018-01-10 11:05:22
  • 73

java 输入流异常处理并重新输入,无限循环抛异常问题处理

java 输入流循环输入异常处理处理。
  • liudliu1992
  • liudliu1992
  • 2016-08-03 16:44:04
  • 2452

记录一下oracle存储过程中出现异常并继续执行的问题

使用语句:   begin     execute immediate sql;     execute immediate 'create index test ...;   exception ...
  • leexy10
  • leexy10
  • 2013-09-25 09:29:23
  • 550

Java try-catch-finally进行异常处理以及throw主动抛出异常

1.try内声明的变量,类似于局部变量,出了try{}语句,就不能被调用 2.finally是可选的。 3.catch语句内部是对异常对象的处理:      >getMessage();  print...
  • u013453970
  • u013453970
  • 2015-08-18 21:44:41
  • 5429
收藏助手
不良信息举报
您举报文章:java抛出异常后 代码继续运行问题探究
举报原因:
原因补充:

(最多只允许输入30个字)